<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:01 CEST 2016 -->
<title>MenuCreation</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MenuCreation";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MenuCreation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/MainMenu.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/MenuLan.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/MenuCreation.html" target="_top">Frames</a></li>
<li><a href="MenuCreation.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">view</div>
<h2 title="Class MenuCreation" class="title">Class MenuCreation</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>view.MenuCreation</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">MenuCreation</span>
extends javax.swing.JPanel</pre>
<div class="block">The Class MenuCreation is a jPanel where the user can define all player of the game.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#view.MenuCreation">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../view/MenuCreation.html#MenuCreation(view.Blokus,%20view.Parametres,%20boolean)">MenuCreation</a></strong>(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
            <a href="../view/Parametres.html" title="class in view">Parametres</a>&nbsp;parametres,
            boolean&nbsp;online)</code>
<div class="block">Instantiates a new menu creation.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#getP1()">getP1</a></strong>()</code>
<div class="block">Get the LinePlayer 1.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#getP2()">getP2</a></strong>()</code>
<div class="block">Get the LinePlayer 2.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#getP3()">getP3</a></strong>()</code>
<div class="block">Get the LinePlayer 3.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#getP4()">getP4</a></strong>()</code>
<div class="block">Get the LinePlayer 4.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#setP1(view.LinePlayer)">setP1</a></strong>(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p1)</code>
<div class="block">Sets the LinePlayer 1.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#setP2(view.LinePlayer)">setP2</a></strong>(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p2)</code>
<div class="block">Sets the LinePlayer 2.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#setP3(view.LinePlayer)">setP3</a></strong>(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p3)</code>
<div class="block">Sets the LinePlayer 3.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/MenuCreation.html#setP4(view.LinePlayer)">setP4</a></strong>(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p4)</code>
<div class="block">Sets the LinePlayer 4.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MenuCreation(view.Blokus, view.Parametres, boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MenuCreation</h4>
<pre>public&nbsp;MenuCreation(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
            <a href="../view/Parametres.html" title="class in view">Parametres</a>&nbsp;parametres,
            boolean&nbsp;online)</pre>
<div class="block">Instantiates a new menu creation.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>blokus</code> - the blokus frame</dd><dd><code>parametres</code> - the parameters of the futur game</dd><dd><code>online</code> - if the game is online</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getP1()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getP1</h4>
<pre>public&nbsp;<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;getP1()</pre>
<div class="block">Get the LinePlayer 1.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the p1</dd></dl>
</li>
</ul>
<a name="setP1(view.LinePlayer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setP1</h4>
<pre>public&nbsp;void&nbsp;setP1(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p1)</pre>
<div class="block">Sets the LinePlayer 1.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p1</code> - the new p1</dd></dl>
</li>
</ul>
<a name="getP2()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getP2</h4>
<pre>public&nbsp;<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;getP2()</pre>
<div class="block">Get the LinePlayer 2.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the p2</dd></dl>
</li>
</ul>
<a name="setP2(view.LinePlayer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setP2</h4>
<pre>public&nbsp;void&nbsp;setP2(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p2)</pre>
<div class="block">Sets the LinePlayer 2.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p2</code> - the new p2</dd></dl>
</li>
</ul>
<a name="getP3()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getP3</h4>
<pre>public&nbsp;<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;getP3()</pre>
<div class="block">Get the LinePlayer 3.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the p3</dd></dl>
</li>
</ul>
<a name="setP3(view.LinePlayer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setP3</h4>
<pre>public&nbsp;void&nbsp;setP3(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p3)</pre>
<div class="block">Sets the LinePlayer 3.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p3</code> - the new p3</dd></dl>
</li>
</ul>
<a name="getP4()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getP4</h4>
<pre>public&nbsp;<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;getP4()</pre>
<div class="block">Get the LinePlayer 4.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the p4</dd></dl>
</li>
</ul>
<a name="setP4(view.LinePlayer)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setP4</h4>
<pre>public&nbsp;void&nbsp;setP4(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p4)</pre>
<div class="block">Sets the LinePlayer 4.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p4</code> - the new p4</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MenuCreation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/MainMenu.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/MenuLan.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/MenuCreation.html" target="_top">Frames</a></li>
<li><a href="MenuCreation.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
